Show / Hide Table of Contents

# Class OpenIddictServerTransaction

Represents the context associated with an OpenID Connect server request.

##### Inheritance

System.Object
OpenIddictServerTransaction

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerTransaction

### Properties

#### EndpointType

Gets or sets the type of the endpoint processing the current request.

##### Declaration

    public OpenIddictServerEndpointType EndpointType { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerEndpointType |

#### Issuer

Gets or sets the issuer address associated with the current transaction, if available.

##### Declaration

    public Uri? Issuer { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### Logger

Gets or sets the logger associated with the current request.

##### Declaration

    public ILogger Logger { get; set; }

##### Property Value

Type | Description
--- | ---
ILogger |

#### Options

Gets or sets the options associated with the current request.

##### Declaration

    public OpenIddictServerOptions Options { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerOptions |

#### Properties

Gets the additional properties associated with the current request.

##### Declaration

    public IDictionary<string, object> Properties { get; }

##### Property Value

Type | Description
--- | ---
IDictionary<System.String, System.Object> |

#### Request

Gets or sets the current OpenID Connect request.

##### Declaration

    public OpenIddictRequest? Request { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<OpenIddictRequest> |

#### Response

Gets or sets the current OpenID Connect response being returned.

##### Declaration

    public OpenIddictResponse? Response { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<OpenIddictResponse> |